Get verification statistics for a lead list
curl --request GET \
--url https://api.instantly.ai/api/v2/lead-lists/{id}/verification-stats \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/lead-lists/{id}/verification-stats"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/lead-lists/{id}/verification-stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.instantly.ai/api/v2/lead-lists/{id}/verification-stats")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/lead-lists/{id}/verification-stats",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/lead-lists/{id}/verification-stats"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"stats": {
"verified": 150,
"invalid": 25,
"risky": 10,
"catch_all": 5,
"job_change": 2,
"verification_job_pending_leadfinder": 11,
"verification_job_pending_user": 12
},
"total_leads": 203
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}Lead List
Get verification statistics for a lead list
Get verification statistics for a lead list
GET
/
api
/
v2
/
lead-lists
/
{id}
/
verification-stats
Get verification statistics for a lead list
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Example:
"019f985c-934f-74e8-b479-ce4ea70e08c7"
Response
Default Response
Sums up the leads by their verification status
Show child attributes
Show child attributes
Example:
{
"verified": 150,
"invalid": 25,
"risky": 10,
"catch_all": 5,
"job_change": 2,
"verification_job_pending_leadfinder": 11,
"verification_job_pending_user": 12
}
Total number of leads in the list
Example:
203
⌘I